> ## Documentation Index
> Fetch the complete documentation index at: https://docs.treasuryprime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Network Transfers



## OpenAPI

````yaml api-reference/openapi-payments.json GET /network_transfer
openapi: 3.1.0
info:
  contact:
    email: help@treasuryprime.com
    name: Treasury Prime Support
    url: https://support.treasuryprime.com
  summary: Banking APIs
  termsOfService: https://www.treasuryprime.com/policy/terms
  title: Payments
  version: 1.18.581-gbba3b1de
servers:
  - description: Production
    url: https://api.treasuryprime.com
  - description: Sandbox
    url: https://api.sandbox.treasuryprime.com
security:
  - basicAuth: []
  - apiKey: []
paths:
  /network_transfer:
    get:
      tags:
        - Network Transfer
      summary: List Network Transfers
      parameters:
        - description: >-
            Identifies whether or not this transfer is between different banks.
            When true, Treasury Prime is explicitly directed to balance on-core
            funds between the two banks involved. Filterable.
          in: query
          name: cross_bank
          schema:
            type: boolean
        - description: ID of the Account originating the transfer. Filterable.
          in: query
          name: from_account_id
          schema:
            type: string
        - description: >-
            ID of the organization with which this object is associated.
            Filterable.
          in: query
          name: org_id
          schema:
            type: string
        - description: One of `pending`, `canceled`, `sent`, or `error`. Filterable.
          in: query
          name: status
          schema:
            type: string
        - description: ID of the Account receiving the transfer. Filterable.
          in: query
          name: to_account_id
          schema:
            type: string
        - description: Pagination cursor, value is the object ID.
          in: query
          name: page_cursor
          schema:
            type: string
        - description: >-
            Limits the number of objects in the returned list, value must be a
            number greater than or equal to 1. Defaults to 100.
          in: query
          name: page_size
          schema:
            default: 100
            minimum: 1
            type: integer
        - description: >-
            Lists the objects created on the date provided and onwards. Date
            must be in ISO 8601 format (“YYYY-MM-DD”).
          in: query
          name: from_date
          schema:
            type: string
        - description: >-
            Lists the objects created before the date provided. Date must be in
            ISO 8601 format (“YYYY-MM-DD”).
          in: query
          name: to_date
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              examples:
                example:
                  summary: Success
                  value:
                    data:
                      - amount: '100.00'
                        created_at: '2017-11-02T11:55:14Z'
                        cross_bank: true
                        description: Transfer
                        estimated_settlement_at: '2017-11-02T11:55:14Z'
                        from_account_id: acct_1234567890
                        id: nt_1029384756
                        status: pending
                        to_account_id: acct_0987654321
                        updated_at: '2017-11-02T11:55:14Z'
                        userdata: null
              schema:
                properties:
                  data:
                    items:
                      properties:
                        amount:
                          description: >-
                            Amount of money to transfer, with two decimal
                            precision
                          pattern: ^[0-9]+[.][0-9][0-9]$
                          type: string
                        balanced_at:
                          description: >-
                            Timestamp of when the balancing wire for the
                            transfer was created/sent. Only present on `v2`
                            transfers.
                          type: string
                        bankdata:
                          description: >-
                            Optional arbitrary data the bank can attach to the
                            object
                          type: object
                        cross_bank:
                          description: >-
                            Identifies whether or not this transfer is between
                            different banks. When true, Treasury Prime is
                            explicitly directed to balance on-core funds between
                            the two banks involved. Filterable.
                          type: boolean
                        description:
                          description: Optional description
                          type: string
                        error:
                          description: Error message describing why a transfer failed
                          type: string
                        estimated_settlement_at:
                          description: >-
                            Timestamp of when the network transfer is estimated
                            to complete. This will be the current timestamp in
                            all cases except when the Network Transfer is
                            outside of the bank's operating hours. In this
                            situation, the timestamp will be the next banking
                            business day
                          type: string
                        from_account_id:
                          description: >-
                            ID of the Account originating the transfer.
                            Filterable.
                          type: string
                        id:
                          description: Unique identifier for object
                          type: string
                        org_id:
                          description: >-
                            ID of the organization with which this object is
                            associated. Filterable.
                          type: string
                        status:
                          description: >-
                            One of `pending`, `canceled`, `sent`, or `error`.
                            Filterable.
                          type: string
                        to_account_id:
                          description: >-
                            ID of the Account receiving the transfer.
                            Filterable.
                          type: string
                        userdata:
                          description: >-
                            Optional arbitrary data that can be attached for the
                            bank's use
                          type: object
                        version:
                          description: The API version used to create the network transfer
                          type: string
                      type: object
                    type: array
          description: >-
            A dictionary with a `data` property that contains a list of up to
            `page_size` network_transfer elements, starting after the
            network_transfer described by `page_cursor`. If no more
            network_transfers are available, the resulting list will be empty.
components:
  securitySchemes:
    basicAuth:
      scheme: basic
      type: http
    apiKey:
      bearerFormat: JWT
      scheme: bearer
      type: http

````